blob: 7d621031b8537ac6095b3c6d16261c8af24961fa [file] [log] [blame]
Tom Rini1a62a722019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Peter Hoyes8b0b5012023-03-10 09:53:02 +00003variables:
4 DEFAULT_TAG: ""
Peter Hoyes74bcbb12023-03-10 09:53:03 +00005 MIRROR_DOCKER: docker.io
Peter Hoyes8b0b5012023-03-10 09:53:02 +00006
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
Joel Stanleycb735172022-08-23 16:18:26 +100011# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
Tom Rini0b06e052024-08-21 09:41:20 -060013image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20240808-21Aug2024
Tom Rini1a62a722019-06-19 09:25:17 -040014
15# We run some tests in different order, to catch some failures quicker.
16stages:
Tom Rini1a62a722019-06-19 09:25:17 -040017 - testsuites
Tom Rinib29cb052019-07-24 13:09:31 -040018 - test.py
Tom Rini1a62a722019-06-19 09:25:17 -040019 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rini1a62a722019-06-19 09:25:17 -040022 stage: test.py
Tom Rini58b35852023-07-11 22:33:03 -040023 retry: 2 # QEMU may be too slow, etc.
Andrejs Cainikovs399f7392023-09-13 16:15:36 +020024 rules:
25 - when: always
Tom Rini1a62a722019-06-19 09:25:17 -040026 before_script:
27 # Clone uboot-test-hooks
Tom Rinibd181a22022-11-21 12:52:40 -050028 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini85ae52b2021-02-24 17:05:04 -050029 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Tom Rini1a62a722019-06-19 09:25:17 -040030 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
31 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini28a51232019-10-04 12:12:54 -040032 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
33 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Meng49fb28a2020-03-28 07:25:29 -070034 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Heinrich Schuchardta9666342023-10-25 00:15:43 +020035 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
36 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070037 fi
Bin Meng0e60b3a2021-08-26 23:33:35 +080038 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Heinrich Schuchardta9666342023-10-25 00:15:43 +020039 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
40 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070041 fi
Tom Rinib29cb052019-07-24 13:09:31 -040042
Tom Rini1a62a722019-06-19 09:25:17 -040043 after_script:
Tom Rini26c56f12024-06-27 07:43:20 -060044 - cp -v /tmp/${TEST_PY_BD}/*.{html,css,xml} .
Heinrich Schuchardt24df1b12019-12-19 13:30:32 +010045 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rini1a62a722019-06-19 09:25:17 -040046 script:
Simon Glassdd5c9542020-03-18 09:42:57 -060047 # If we've been asked to use clang only do one configuration.
Simon Glass4e32fed2020-03-18 09:42:55 -060048 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass1aa168c2022-08-03 12:13:09 -060049 - echo BUILD_ENV ${BUILD_ENV}
Simon Glass9cea4792023-01-15 14:16:00 -070050 - if [ -n "${BUILD_ENV}" ]; then
51 export ${BUILD_ENV};
52 fi
Simon Glass7ec12552020-03-18 09:43:00 -060053 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
54 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020055 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
56 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
57 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020058 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
59 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0e60b3a2021-08-26 23:33:35 +080060 # create sdcard / spi-nor images for sifive unleashed using genimage
61 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
62 mkdir -p root;
63 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
64 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
65 rm -rf tmp;
66 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
67 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
68 rm -rf tmp;
69 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
70 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
71 fi
Simon Glassbfb2a7f2022-01-21 10:23:01 -070072 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
Tom Rini3a79c912024-02-13 09:39:27 -050073 cp /opt/coreboot/coreboot.rom ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
74 /opt/coreboot/cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom remove -n fallback/payload;
75 /opt/coreboot/cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
Simon Glassbfb2a7f2022-01-21 10:23:01 -070076 fi
Tom Rini085b8972019-10-24 11:59:27 -040077 - virtualenv -p /usr/bin/python3 /tmp/venv
78 - . /tmp/venv/bin/activate
79 - pip install -r test/py/requirements.txt
Simon Glass4080d092020-03-18 09:42:56 -060080 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass4e32fed2020-03-18 09:42:55 -060081 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rini1a62a722019-06-19 09:25:17 -040082 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardtf3092472020-07-10 22:04:40 +020083 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass4080d092020-03-18 09:42:56 -060084 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glasscec1e852020-03-18 09:42:59 -060085 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Tom Rini26c56f12024-06-27 07:43:20 -060086 --junitxml=/tmp/${TEST_PY_BD}/results.xml
Marek Vasute5670732023-03-03 02:22:25 +010087 artifacts:
88 when: always
89 paths:
90 - "*.html"
91 - "*.css"
Tom Rini26c56f12024-06-27 07:43:20 -060092 reports:
93 junit: results.xml
Marek Vasute5670732023-03-03 02:22:25 +010094 expire_in: 1 week
Tom Rini1a62a722019-06-19 09:25:17 -040095
Andrejs Cainikovs399f7392023-09-13 16:15:36 +020096.world_build:
Tom Rini1a62a722019-06-19 09:25:17 -040097 stage: world build
Andrejs Cainikovs399f7392023-09-13 16:15:36 +020098 rules:
99 - when: always
100
101build all 32bit ARM platforms:
102 extends: .world_build
Tom Rini1a62a722019-06-19 09:25:17 -0400103 script:
104 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500105 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinif586cda2023-07-22 00:14:46 +0530106 pip install -r tools/buildman/requirements.txt;
Tom Rinid7713ad2022-11-09 19:14:53 -0700107 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600108 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600109 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400110 exit $ret;
111 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400112
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200113build all 64bit ARM platforms:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200114 extends: .world_build
Tom Rini9f7bda12019-07-17 17:51:28 -0400115 script:
Tom Rini26a426a2020-02-11 12:41:14 -0500116 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rinif0db8392019-07-18 07:28:36 -0400117 - . /tmp/venv/bin/activate
Tom Rini9f7bda12019-07-17 17:51:28 -0400118 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500119 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinif586cda2023-07-22 00:14:46 +0530120 pip install -r tools/buildman/requirements.txt;
Tom Rinid7713ad2022-11-09 19:14:53 -0700121 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600122 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600123 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400124 exit $ret;
125 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400126
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200127build all PowerPC platforms:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200128 extends: .world_build
Tom Rini9f7bda12019-07-17 17:51:28 -0400129 script:
130 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500131 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassdd5c9542020-03-18 09:42:57 -0600132 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
133 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600134 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400135 exit $ret;
136 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400137
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200138build all other platforms:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200139 extends: .world_build
Tom Rini9f7bda12019-07-17 17:51:28 -0400140 script:
141 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500142 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -0700143 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600144 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600145 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400146 exit $ret;
147 fi;
Tom Rini1a62a722019-06-19 09:25:17 -0400148
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200149.testsuites:
Tom Rinic1a7de52021-12-14 13:36:41 -0500150 stage: testsuites
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200151 rules:
152 - when: always
153
154check for new CONFIG symbols outside Kconfig:
155 extends: .testsuites
Tom Rinic1a7de52021-12-14 13:36:41 -0500156 script:
Tom Rinibb9b9c12022-12-04 10:14:15 -0500157 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
158 # If grep succeeds and finds a match the test fails as we should
159 # have no matches.
160 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rinia03efb62023-01-10 11:19:46 -0500161 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
Sumit Garg8f31c852024-02-22 15:05:57 +0530162 :^include/linux/kconfig.h :^tools/ :^dts/upstream/ &&
163 exit 1 || exit 0
Tom Rinic1a7de52021-12-14 13:36:41 -0500164
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100165# build documentation
166docs:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200167 extends: .testsuites
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100168 script:
Heinrich Schuchardt836049d2021-01-25 22:06:25 +0100169 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
170 - . /tmp/venvhtml/bin/activate
171 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardt8a6414d2023-05-02 05:04:11 +0200172 - make htmldocs KDOC_WERROR=1
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100173 - make infodocs
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100174
Tom Rini1a62a722019-06-19 09:25:17 -0400175# ensure all configs have MAINTAINERS entries
176Check for configs without MAINTAINERS entry:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200177 extends: .testsuites
Tom Rini1a62a722019-06-19 09:25:17 -0400178 script:
Tom Rinid6b32972023-10-23 11:37:47 -0400179 - ./tools/buildman/buildman --maintainer-check
Tom Rini1a62a722019-06-19 09:25:17 -0400180
181# Ensure host tools build
Tom Rini562ed112023-08-20 13:31:28 -0400182Build tools-only and envtools:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200183 extends: .testsuites
Tom Rini1a62a722019-06-19 09:25:17 -0400184 script:
Tom Rini562ed112023-08-20 13:31:28 -0400185 - make tools-only_config tools-only -j$(nproc);
186 make mrproper;
187 make tools-only_config envtools -j$(nproc)
Pierre-Jean Texier1f3910d2019-08-26 13:06:18 +0200188
Tom Rini72618332020-03-11 18:11:15 -0400189Run binman, buildman, dtoc, Kconfig and patman testsuites:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200190 extends: .testsuites
Tom Rini1a62a722019-06-19 09:25:17 -0400191 script:
Tom Rinid7ae9322019-08-12 10:09:08 -0400192 - git config --global user.name "GitLab CI Runner";
193 git config --global user.email trini@konsulko.com;
Tom Rinib6d4e082022-08-09 21:08:54 -0400194 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7ae9322019-08-12 10:09:08 -0400195 export USER=gitlab;
Tom Rini26a426a2020-02-11 12:41:14 -0500196 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rinid7ae9322019-08-12 10:09:08 -0400197 . /tmp/venv/bin/activate;
Tom Rini38229b52021-02-26 07:52:29 -0500198 pip install -r test/py/requirements.txt;
Tom Rinif586cda2023-07-22 00:14:46 +0530199 pip install -r tools/buildman/requirements.txt;
Tom Rini48f792e2023-08-10 12:52:24 -0400200 export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only;
Tom Rinid7ae9322019-08-12 10:09:08 -0400201 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
202 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinib6d4e082022-08-09 21:08:54 -0400203 set +e;
Simon Glass6c914e42021-03-15 17:25:34 +1300204 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini48f792e2023-08-10 12:52:24 -0400205 --board tools-only;
Tom Rinib6d4e082022-08-09 21:08:54 -0400206 set -e;
Tom Rinid7ae9322019-08-12 10:09:08 -0400207 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
208 ./tools/buildman/buildman -t;
209 ./tools/dtoc/dtoc -t;
Simon Glass6bb74de2020-07-05 21:41:55 -0600210 ./tools/patman/patman test;
Tom Rini72618332020-03-11 18:11:15 -0400211 make testconfig
Tom Rini1a62a722019-06-19 09:25:17 -0400212
Simon Glass642e51a2022-02-11 13:23:26 -0700213# Check for any pylint regressions
214Run pylint:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200215 extends: .testsuites
Simon Glass642e51a2022-02-11 13:23:26 -0700216 script:
Tom Rinib6d4e082022-08-09 21:08:54 -0400217 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glass642e51a2022-02-11 13:23:26 -0700218 - pip install -r test/py/requirements.txt
Tom Rinif586cda2023-07-22 00:14:46 +0530219 - pip install -r tools/buildman/requirements.txt
Tom Rinie47bbf72022-03-25 08:19:09 -0400220 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glass642e51a2022-02-11 13:23:26 -0700221 - export PATH=${PATH}:~/.local/bin
222 - echo "[MASTER]" >> .pylintrc
223 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
Tom Rini48f792e2023-08-10 12:52:24 -0400224 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only
Tom Rinib6d4e082022-08-09 21:08:54 -0400225 - set +e
Simon Glass642e51a2022-02-11 13:23:26 -0700226 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini48f792e2023-08-10 12:52:24 -0400227 --board tools-only
Tom Rinib6d4e082022-08-09 21:08:54 -0400228 - set -e
Simon Glass642e51a2022-02-11 13:23:26 -0700229 - pylint --version
230 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
231 - make pylint_err
232
Simon Glass441a3d02023-02-13 08:56:39 -0700233# Check for pre-schema driver model tags
234Check for pre-schema tags:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200235 extends: .testsuites
Simon Glass441a3d02023-02-13 08:56:39 -0700236 script:
237 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
238 # If grep succeeds and finds a match the test fails as we should
239 # have no matches.
240 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
241
Simon Glassc21a5282023-02-23 18:18:24 -0700242# Check we can package the Python tools
243Check packing of Python tools:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200244 extends: .testsuites
Simon Glassc21a5282023-02-23 18:18:24 -0700245 script:
246 - make pip
247
Tom Rini1a62a722019-06-19 09:25:17 -0400248# Test sandbox with test.py
249sandbox test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400250 variables:
251 TEST_PY_BD: "sandbox"
Tom Rini1a62a722019-06-19 09:25:17 -0400252 <<: *buildman_and_testpy_dfn
253
Tom Rini0219d012019-11-06 19:30:47 -0500254sandbox with clang test.py:
Tom Rini0219d012019-11-06 19:30:47 -0500255 variables:
256 TEST_PY_BD: "sandbox"
Tom Rini96afd8a2024-03-10 15:59:28 -0400257 OVERRIDE: "-O clang-17"
Tom Rini0219d012019-11-06 19:30:47 -0500258 <<: *buildman_and_testpy_dfn
259
Marek Vasutc807bdd2023-09-01 10:48:10 +0200260sandbox64 test.py:
261 variables:
262 TEST_PY_BD: "sandbox64"
263 <<: *buildman_and_testpy_dfn
264
265sandbox64 with clang test.py:
266 variables:
267 TEST_PY_BD: "sandbox64"
Tom Rini96afd8a2024-03-10 15:59:28 -0400268 OVERRIDE: "-O clang-17"
Marek Vasutc807bdd2023-09-01 10:48:10 +0200269 <<: *buildman_and_testpy_dfn
270
Tom Rini1a62a722019-06-19 09:25:17 -0400271sandbox_spl test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400272 variables:
273 TEST_PY_BD: "sandbox_spl"
Simon Glassafb26ba2020-10-25 20:38:36 -0600274 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rini1a62a722019-06-19 09:25:17 -0400275 <<: *buildman_and_testpy_dfn
276
Simon Glass6c914e42021-03-15 17:25:34 +1300277sandbox_noinst_test.py:
Simon Glass6c914e42021-03-15 17:25:34 +1300278 variables:
279 TEST_PY_BD: "sandbox_noinst"
280 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
281 <<: *buildman_and_testpy_dfn
282
Sean Andersonb93cc1e2023-10-14 16:47:59 -0400283sandbox_noinst with LOAD_FIT_FULL test.py:
284 variables:
285 TEST_PY_BD: "sandbox_noinst"
286 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
287 OVERRIDE: "-a CONFIG_SPL_LOAD_FIT_FULL=y"
288 <<: *buildman_and_testpy_dfn
289
Simon Glassa31eff32022-04-30 00:56:57 -0600290sandbox_vpl test.py:
291 variables:
292 TEST_PY_BD: "sandbox_vpl"
Simon Glass8b609872023-04-02 14:01:26 +1200293 TEST_PY_TEST_SPEC: "vpl or test_spl"
Simon Glassa31eff32022-04-30 00:56:57 -0600294 <<: *buildman_and_testpy_dfn
295
Simon Glass9cea4792023-01-15 14:16:00 -0700296# Enable tracing and disable LTO, to ensure functions are not elided
297sandbox trace_test.py:
298 variables:
299 TEST_PY_BD: "sandbox"
300 BUILD_ENV: "FTRACE=1 NO_LTO=1"
301 TEST_PY_TEST_SPEC: "trace"
Sughosh Ganu61cad8d2023-08-22 23:10:02 +0530302 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000 -a CONFIG_TRACE_BUFFER_SIZE=0x02000000"
Simon Glass9cea4792023-01-15 14:16:00 -0700303 <<: *buildman_and_testpy_dfn
304
Tom Rini699c0b92019-07-17 16:06:57 -0400305evb-ast2500 test.py:
Tom Rini699c0b92019-07-17 16:06:57 -0400306 variables:
307 TEST_PY_BD: "evb-ast2500"
308 TEST_PY_ID: "--id qemu"
Tom Rini699c0b92019-07-17 16:06:57 -0400309 <<: *buildman_and_testpy_dfn
310
Joel Stanleyb24087a2022-06-29 16:35:25 +0930311evb-ast2600 test.py:
312 variables:
313 TEST_PY_BD: "evb-ast2600"
314 TEST_PY_ID: "--id qemu"
315 <<: *buildman_and_testpy_dfn
316
Tom Rini1a62a722019-06-19 09:25:17 -0400317sandbox_flattree test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400318 variables:
319 TEST_PY_BD: "sandbox_flattree"
Tom Rini1a62a722019-06-19 09:25:17 -0400320 <<: *buildman_and_testpy_dfn
321
Kristian Amlie15e30102021-09-07 08:37:51 +0200322vexpress_ca9x4 test.py:
323 variables:
324 TEST_PY_BD: "vexpress_ca9x4"
325 TEST_PY_ID: "--id qemu"
326 <<: *buildman_and_testpy_dfn
327
Tom Rini1a62a722019-06-19 09:25:17 -0400328integratorcp_cm926ejs test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400329 variables:
330 TEST_PY_BD: "integratorcp_cm926ejs"
331 TEST_PY_TEST_SPEC: "not sleep"
332 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400333 <<: *buildman_and_testpy_dfn
334
335qemu_arm test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400336 variables:
337 TEST_PY_BD: "qemu_arm"
338 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400339 <<: *buildman_and_testpy_dfn
340
341qemu_arm64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400342 variables:
343 TEST_PY_BD: "qemu_arm64"
344 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400345 <<: *buildman_and_testpy_dfn
346
Marek Vasuta21e1122023-03-23 01:22:41 +0100347qemu_m68k test.py:
348 variables:
349 TEST_PY_BD: "M5208EVBE"
350 TEST_PY_ID: "--id qemu"
351 TEST_PY_TEST_SPEC: "not sleep and not efi"
352 OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
353 <<: *buildman_and_testpy_dfn
354
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200355qemu_malta test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200356 variables:
357 TEST_PY_BD: "malta"
358 TEST_PY_TEST_SPEC: "not sleep and not efi"
359 TEST_PY_ID: "--id qemu"
360 <<: *buildman_and_testpy_dfn
361
362qemu_maltael test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200363 variables:
364 TEST_PY_BD: "maltael"
365 TEST_PY_TEST_SPEC: "not sleep and not efi"
366 TEST_PY_ID: "--id qemu"
367 <<: *buildman_and_testpy_dfn
368
369qemu_malta64 test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200370 variables:
371 TEST_PY_BD: "malta64"
372 TEST_PY_TEST_SPEC: "not sleep and not efi"
373 TEST_PY_ID: "--id qemu"
374 <<: *buildman_and_testpy_dfn
375
376qemu_malta64el test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200377 variables:
378 TEST_PY_BD: "malta64el"
379 TEST_PY_TEST_SPEC: "not sleep and not efi"
380 TEST_PY_ID: "--id qemu"
381 <<: *buildman_and_testpy_dfn
382
Tom Rini1a62a722019-06-19 09:25:17 -0400383qemu-ppce500 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400384 variables:
385 TEST_PY_BD: "qemu-ppce500"
386 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400387 <<: *buildman_and_testpy_dfn
388
Bin Menga379d332020-03-28 07:25:27 -0700389qemu-riscv32 test.py:
Bin Menga379d332020-03-28 07:25:27 -0700390 variables:
391 TEST_PY_BD: "qemu-riscv32"
392 TEST_PY_TEST_SPEC: "not sleep"
Bin Menga379d332020-03-28 07:25:27 -0700393 <<: *buildman_and_testpy_dfn
394
Tom Rini7298d822019-08-02 11:32:37 -0400395qemu-riscv64 test.py:
Tom Rini7298d822019-08-02 11:32:37 -0400396 variables:
397 TEST_PY_BD: "qemu-riscv64"
398 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini7298d822019-08-02 11:32:37 -0400399 <<: *buildman_and_testpy_dfn
400
Bin Meng49fb28a2020-03-28 07:25:29 -0700401qemu-riscv32_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700402 variables:
403 TEST_PY_BD: "qemu-riscv32_spl"
404 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700405 <<: *buildman_and_testpy_dfn
406
407qemu-riscv64_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700408 variables:
409 TEST_PY_BD: "qemu-riscv64_spl"
410 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700411 <<: *buildman_and_testpy_dfn
412
Tom Rini1a62a722019-06-19 09:25:17 -0400413qemu-x86 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400414 variables:
415 TEST_PY_BD: "qemu-x86"
416 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400417 <<: *buildman_and_testpy_dfn
418
419qemu-x86_64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400420 variables:
421 TEST_PY_BD: "qemu-x86_64"
422 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400423 <<: *buildman_and_testpy_dfn
424
Jiaxun Yang7de94122024-06-18 14:56:11 +0100425qemu-xtensa-dc233c test.py:
426 variables:
427 TEST_PY_BD: "qemu-xtensa-dc233c"
428 TEST_PY_TEST_SPEC: "not sleep and not efi"
429 <<: *buildman_and_testpy_dfn
430
Marek Vasut0e125752020-09-14 21:55:58 +0200431r2dplus_i82557c test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200432 variables:
433 TEST_PY_BD: "r2dplus"
434 TEST_PY_ID: "--id i82557c_qemu"
435 <<: *buildman_and_testpy_dfn
436
437r2dplus_pcnet test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200438 variables:
439 TEST_PY_BD: "r2dplus"
440 TEST_PY_ID: "--id pcnet_qemu"
441 <<: *buildman_and_testpy_dfn
442
443r2dplus_rtl8139 test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200444 variables:
445 TEST_PY_BD: "r2dplus"
446 TEST_PY_ID: "--id rtl8139_qemu"
447 <<: *buildman_and_testpy_dfn
448
449r2dplus_tulip test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200450 variables:
451 TEST_PY_BD: "r2dplus"
452 TEST_PY_ID: "--id tulip_qemu"
453 <<: *buildman_and_testpy_dfn
454
Bin Meng0e60b3a2021-08-26 23:33:35 +0800455sifive_unleashed_sdcard test.py:
456 variables:
457 TEST_PY_BD: "sifive_unleashed"
458 TEST_PY_ID: "--id sdcard_qemu"
459 <<: *buildman_and_testpy_dfn
460
461sifive_unleashed_spi-nor test.py:
462 variables:
463 TEST_PY_BD: "sifive_unleashed"
464 TEST_PY_ID: "--id spi-nor_qemu"
465 <<: *buildman_and_testpy_dfn
466
Michal Simekf7c6ee72020-02-13 15:03:29 +0100467xilinx_zynq_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400468 variables:
Michal Simekf7c6ee72020-02-13 15:03:29 +0100469 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rini1a62a722019-06-19 09:25:17 -0400470 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400471 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400472 <<: *buildman_and_testpy_dfn
473
474xilinx_versal_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400475 variables:
476 TEST_PY_BD: "xilinx_versal_virt"
477 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400478 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400479 <<: *buildman_and_testpy_dfn
480
481xtfpga test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400482 variables:
483 TEST_PY_BD: "xtfpga"
484 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400485 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400486 <<: *buildman_and_testpy_dfn
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700487
488coreboot test.py:
489 variables:
490 TEST_PY_BD: "coreboot"
491 TEST_PY_TEST_SPEC: "not sleep"
492 TEST_PY_ID: "--id qemu"
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700493 <<: *buildman_and_testpy_dfn